---
schema_version: "1"
id: 375068538174b5556f69b6cfad09dccb13bfe8963e08cafa1e961033b8693d38
title: Get List View Metadata
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_list_views_md.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_list_views_md.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 59c9fd8fa0f0d55e9d103dc6f63da52882fb2a92408fc7067cc1f38dfc65f9ff
description: Get list view metadata.
---
# Get List View Metadata

Get list view metadata.

Resource

/ui-api/list-info/${listViewId}

/ui-api/list-info/${objectApiName}/${listViewApiName}

- listViewId—The ID of a list view, such as 00BR0000000Wc0rMAC.
- objectApiName—A [supported](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_get_started_supported_objects.htm#ui_api_get_started_supported_objects "User Interface API supports all custom objects and external objects and many standard objects.") object, such as Account.
- listViewApiName—The API name of a list view, such as AllAccounts, \_\_Recent, or \_\_SearchResult.

Available Version

42.0

HTTP Method

GET

Example

As an example, let’s say we have a list view named All Accounts with a list view ID of 00BR0000000Wc0rMAC. To get information about the metadata for this list view, make this request:

GET /services/data/v68.0/ui-api/list-info/00BR0000000Wc0rMAC

You can also use the object API name and list view API name of the list view to make the same request:

GET /services/data/v68.0/ui-api/list-info/Account/AllAccounts

To get the most recently used (MRU) list view metadata for accounts, use the special \_\_Recent list view API name.

GET /services/data/v68.0/ui-api/list-info/Account/\_\_Recent

To get the search layout list view metadata for accounts, use the special \_\_SearchResult list view API name.

GET /services/data/v68.0/ui-api/list-info/Account/\_\_SearchResult

Response Body

[List Info](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_list_metadata.htm "Metadata that describes a list.")